# note: open the original source and remove both JRE, then repackage as %{name}-%{version}
#
Name: 		geogebra
Version: 	5.0.158.0
Release: 	%mkrel 3
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot 
Url:		http://www.geogebra.org/cms/en/portable
Source0:	%{name}-%{version}.tar.xz
Source1: 	geogebra.png
Source2: 	license.txt 
Source3: 	gpl-2.0.txt 
Source4: 	cc-by-nc-nd-3.0.txt
Summary: 	GeoGebra - dynamic mathematics for schools
License: 	GPLv2
Group: 		Sciences/Mathematics
BuildArch: 	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: 	java


%description
GeoGebra is a free and multi-platform dynamic mathematics
software for schools that joins geometry, algebra and
calculus. It received several international awards
including the European and German educational software
awards.

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf jre
rm -f geogebra.sh

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_docdir}/geogebra

cp -r ./* %{buildroot}%{_datadir}/%{name}/

install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/geogebra.png

install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_docdir}/geogebra/
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_docdir}/geogebra/
install -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_docdir}/geogebra/

#make Excutable
cat > $RPM_BUILD_ROOT%{_bindir}/geogebra << EOF
#!/bin/sh
#LD_PRELOAD=libglib-2.0.so java -jar /usr/share/geogebra/geogebra/geogebra.jar "\$@"
java -jar /usr/share/geogebra/geogebra/geogebra.jar "\$@"
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/geogebra

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Name=GeoGebra
Name[de]=GeoGebra
Name[es_ES]=GeoGebra
Name[nl]=GeoGebra
Comment=Dynamic mathematics for shools
Comment[de]=Dynamische Mathematik für Schulen
Comment[es_ES]=Matemáticas Dinámicas En La Enseñanza
Comment[nl]=Dynamische wiskunde voor scholen
Icon=geogebra
AppVersion=4.4
Maintainer=GeoGebra Team
Exec=geogebra
Categories=Education;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;
StartupNotify=false
Terminal=false
ExternalInst=true
EOF

#new style mime-type
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/vnd.geogebra.file">
         <comment>GeoGebra worksheet</comment>
         <comment xml:lang="cs">Pracovní list GeoGebry</comment>
         <comment xml:lang="de">GeoGebra-Arbeitsblatt</comment>
         <comment xml:lang="es">Archivo GeoGebra</comment>
         <comment xml:lang="fr">Feuille de travail GeoGebra </comment>
         <comment xml:lang="hi">जीओ-जेब्रा कार्य-पत्र</comment>
         <comment xml:lang="it">Foglio di lavoro GeoGebra </comment>
         <comment xml:lang="pt-BR">Planilha GeoGebra</comment>
         <sub-class-of type="application/zip"/>
         <glob pattern="*.ggb"/>
  </mime-type>
  <mime-type type="application/vnd.geogebra.tool">
         <comment>GeoGebra tool</comment>
         <comment xml:lang="cs">Nástroj GeoGebry</comment>
         <comment xml:lang="de">GeoGebra-Werkzeug</comment>
         <comment xml:lang="es">Herramienta GeoGebra</comment>
         <comment xml:lang="fr">Outil GeoGebra</comment>
         <comment xml:lang="hi">जीओ-जेब्रा साधन</comment>
         <comment xml:lang="it">Strumento GeoGebra</comment>
         <comment xml:lang="pt-BR">Ferramenta GeoGebra</comment>
         <sub-class-of type="application/zip"/>
         <glob pattern="*.ggt"/>
  </mime-type>
</mime-info>
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%{_docdir}/geogebra/*.txt
%{_bindir}/geogebra
%{_datadir}/pixmaps/geogebra.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Sat Nov 07 2015 bb <bb> 5.0.158-3pclos2015
- remove preload for fixed glib 2.46.2

* Thu Oct 15 2015 bb <bb> 5.0.158-2pclos2015
- add preload for broken glib 2.46.0

* Sun Oct 11 2015 pp <pp> 5.0.158.0-1pclos2015
- update

* Sat Apr 04 2015 pinoc <vogtpet at gmail.com> 5.0.82.0-1pclos2015
- 5.0.82.0

